	ClientEvents.tick(event => {
                if (abilityUtil.hasPower(event.player, "ninjago:spin")) {
                    if (abilityUtil.isEnabled(event.player, "ninjago:spin", "ninja_animation2")) {
                        let mode = Client.options.getCameraType();
                        if (mode !== 'third_person_back' && mode !== 'third_person_front') {
                            event.player.persistentData.camera_reset = 1;
                            Client.options.setCameraType('third_person_back');
                        }
                    }
            
                    let end = event.player.persistentData.camera_reset;
                    if (!abilityUtil.isEnabled(event.player, "ninjago:spin", "ninja_animation2") && end === 1) {
                        event.player.persistentData.camera_reset = 0;
                        Client.options.setCameraType('first_person');
                    }
                }
       });